Distributions
GET /sequences/{sequenceId}/waitlist/consumers
Get all waitlist consumers for a sequence
GET
/
sequences
/
{sequenceId}
/
waitlist
/
consumers
cURL
curl --request GET \
--url https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"consumer": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"emailVerified": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneVerified": true,
"status": "ACTIVE",
"activityRank": 0,
"activityScore": 0,
"activityScoreUpdatedAt": "2023-11-07T05:31:56Z",
"aov": "0",
"email": "[email protected]",
"engagedCount": 0,
"fullName": "<string>",
"lastEngagedAt": "2023-11-07T05:31:56Z",
"lastGeoAt": "2023-11-07T05:31:56Z",
"lastGeoCity": "<string>",
"lastGeoCoordinates": {
"latitude": 123,
"longitude": 123
},
"lastGeoCountry": "<string>",
"lastGeoPostalCode": "<string>",
"lastGeoRegion": "<string>",
"lastGeoSource": "<string>",
"lastGeoTimezone": "<string>",
"lastLoginAt": "2023-11-07T05:31:56Z",
"lastOrderAt": "2023-11-07T05:31:56Z",
"lastReturnAt": "2023-11-07T05:31:56Z",
"loyaltyBalance": 0,
"loyaltyLastActivityAt": "2023-11-07T05:31:56Z",
"loyaltyLifetimePoints": 0,
"ltv": "0",
"metadata": {},
"monetaryRank": 0,
"monetaryScore": 0,
"monetaryScoreUpdatedAt": "2023-11-07T05:31:56Z",
"phone": "<string>",
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"purchaseFrequencyRank": 0,
"purchaseFrequencyScore": 0,
"purchaseFrequencyScoreUpdatedAt": "2023-11-07T05:31:56Z",
"smsOptOut": false,
"totalEngagements": 0,
"totalMessages": 0,
"totalOrders": 0,
"totalReturns": 0,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"verificationCode": "<string>",
"verificationCodeExpiresAt": "<string>"
},
"consumerId": "<string>",
"enteredAt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waitlisted",
"waitlistId": "<string>",
"notifiedAt": "<string>",
"updatedAt": "<string>"
}
]{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Fanfare secret key. Keep secret credentials on your server.
Path Parameters
Response
Waitlist consumers retrieved successfully
Show child attributes
Show child attributes
Available options:
waitlisted, notified, converted, expired, left ⌘I
cURL
curl --request GET \
--url https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin.fanfare.io/api/sequences/{sequenceId}/waitlist/consumers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"consumer": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"emailVerified": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneVerified": true,
"status": "ACTIVE",
"activityRank": 0,
"activityScore": 0,
"activityScoreUpdatedAt": "2023-11-07T05:31:56Z",
"aov": "0",
"email": "[email protected]",
"engagedCount": 0,
"fullName": "<string>",
"lastEngagedAt": "2023-11-07T05:31:56Z",
"lastGeoAt": "2023-11-07T05:31:56Z",
"lastGeoCity": "<string>",
"lastGeoCoordinates": {
"latitude": 123,
"longitude": 123
},
"lastGeoCountry": "<string>",
"lastGeoPostalCode": "<string>",
"lastGeoRegion": "<string>",
"lastGeoSource": "<string>",
"lastGeoTimezone": "<string>",
"lastLoginAt": "2023-11-07T05:31:56Z",
"lastOrderAt": "2023-11-07T05:31:56Z",
"lastReturnAt": "2023-11-07T05:31:56Z",
"loyaltyBalance": 0,
"loyaltyLastActivityAt": "2023-11-07T05:31:56Z",
"loyaltyLifetimePoints": 0,
"ltv": "0",
"metadata": {},
"monetaryRank": 0,
"monetaryScore": 0,
"monetaryScoreUpdatedAt": "2023-11-07T05:31:56Z",
"phone": "<string>",
"primaryExternalId": "<string>",
"primaryLastSyncedAt": "2023-11-07T05:31:56Z",
"primarySourceVendor": "<string>",
"primarySyncSourceId": "<string>",
"purchaseFrequencyRank": 0,
"purchaseFrequencyScore": 0,
"purchaseFrequencyScoreUpdatedAt": "2023-11-07T05:31:56Z",
"smsOptOut": false,
"totalEngagements": 0,
"totalMessages": 0,
"totalOrders": 0,
"totalReturns": 0,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"verificationCode": "<string>",
"verificationCodeExpiresAt": "<string>"
},
"consumerId": "<string>",
"enteredAt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waitlisted",
"waitlistId": "<string>",
"notifiedAt": "<string>",
"updatedAt": "<string>"
}
]{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}